Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionJoin/FrmConstructionJoinAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionJoin/FrmConstructionJoinAuxiliary.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionJoin/FrmConstructionJoinAuxiliary.cs	(revision 267)
@@ -170,7 +170,7 @@
                 }
 
                 // 総務業務使用者がログインしている場合はコンボを空白にする
-                if (CommonMotions.LoginUserSecurity.GeneralAffairs == (int)CommonDefine.GeneralAffairs.GeneralDep) return;
+                if (CommonMotions.LoginUserSecurity.GeneralAffairs == (int)SecurityMaster.GeneAffDef.GeneralDep) return;
 
                 // 初期設定対象がコンボボックスデータにあればセットする
                 for (int i = 0; i < cmbDepartment.Items.Count; i++)
@@ -358,7 +358,7 @@
                 int DepartmentCode = GetDepartmentCode();
                 string strSQL = string.Empty;
                 // 検索条件
-                strSQL = string.Format(" WHERE LEDGERFLG = {0}", (int)CommonDefine.PersonLedgerDivNo.CalcTarget);
+                strSQL = string.Format(" WHERE LEDGERFLG = {0}", (int)PersonInChargeMaster.LedgerDivNoDef.CalcTarget);
                 strSQL += " AND (DEPARTMENTCODE";
                 string strSubSQL = string.Empty;
                 if (DepartmentCode == 0)
@@ -438,7 +438,7 @@
                 int month = 0;
                 int day = 0;
                 bool bPeriod = false;
-                if (CommonMotions.SystemMasterData.ConstructionNoBase == (int)CommonDefine.SystemConstructionNoBase.BusinessPeriod)
+                if (CommonMotions.SystemMasterData.ConstructionNoBase == (int)SystemMaster.ConstrNoBaseDef.BusinessPeriod)
                 {   // 営業期
                     iYear = CommonMotions.PeriodCountToYear(CommonMotions.cnvInt(numUDConstPro.Value));
                     bPeriod = true;
@@ -582,9 +582,9 @@
                 strSQL += " FROM CONSTRUCTIONBASEINFO A, CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C, ORDERERSMASTER D";
                 strSQL += string.Format(" WHERE A.CONSTRUCTIONSTATUSFLG <> {0}", StatusCode);
                 strSQL += string.Format(" AND (A.CONSTRUCTIONPERIOD = {0})", numUDConstPro.Value);
-                strSQL += string.Format(" AND (A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE AND B.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
-                strSQL += string.Format(" AND A.TYINGFLG != {0}", (int)CommonDefine.BaseInfoTyingFlg.Tying);
-                strSQL += string.Format(" AND A.JOINFLG = {0}", (int)CommonDefine.BaseInfoJoinFlg.Standard);
+                strSQL += string.Format(" AND (A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE AND B.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
+                strSQL += string.Format(" AND A.TYINGFLG != {0}", (int)ConstructionBaseInfo.TyingFlgDef.Tying);
+                strSQL += string.Format(" AND A.JOINFLG = {0}", (int)ConstructionBaseInfo.JoinFlgDef.Standard);
                 if (cmbConstructionPerson.Text.Length != 0)
                 {
                     strSQL += string.Format(" AND (A.CONSTRUCTIONPERSONCODE = {0})", GetConstructionPersonCode());
@@ -716,12 +716,12 @@
                 if (JoinFlg)
                 {
                     strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", SearchCode);
-                    strSQL += string.Format(" AND A.LINKTYPE = {0}", (int)CommonDefine.LinkDataType.JoinType);
+                    strSQL += string.Format(" AND A.LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.JoinType);
                 }
                 else
                 {
                     strSQL += string.Format(" WHERE (A.CONSTRUCTIONCODE = {0} OR A.FLUCTUATIONCODE = {0})", SearchCode);
-                    strSQL += string.Format(" AND A.LINKTYPE = {0}", (int)CommonDefine.LinkDataType.FluctuationType);
+                    strSQL += string.Format(" AND A.LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.FluctuationType);
                 }
                 strSQL += " AND C.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
                 strSQL += string.Format(" AND C.DETAILNO = {0}", (int)IOConstructionBaseInfoDetail.TableColumn.DETAILSTRING);
@@ -1150,7 +1150,7 @@
                     // ----- 工事情報を結合から基に変更する
                     if (!BaseDB.UpdateFeild(DateCodeList[i]
                                             , (int)IOConstructionBaseInfo.TableColumn.JoinFlg
-                                            , (int)CommonDefine.BaseInfoJoinFlg.Standard, false)) return;
+                                            , (int)ConstructionBaseInfo.JoinFlgDef.Standard, false)) return;
                 }
 
                 // エラー時工事情報を削除する
@@ -1181,7 +1181,7 @@
             try
             {
                 int PeriodValue = 0;
-                if (CommonMotions.SystemMasterData.ConstructionNoBase == (int)CommonDefine.SystemConstructionNoBase.BusinessPeriod)
+                if (CommonMotions.SystemMasterData.ConstructionNoBase == (int)SystemMaster.ConstrNoBaseDef.BusinessPeriod)
                 {   // ----- 営業期ベースの時
                     // 期数をセット
                     PeriodValue = CommonMotions.SystemMasterData.BusinessPeriod;
@@ -1250,7 +1250,7 @@
                     // ----- 工事情報を結合へ変更する
                     if (!BaseDB.UpdateFeild(WorkCode
                                             , (int)IOConstructionBaseInfo.TableColumn.JoinFlg
-                                            , (int)CommonDefine.BaseInfoJoinFlg.JoinChildren, false)) return false;
+                                            , (int)ConstructionBaseInfo.JoinFlgDef.JoinChildren, false)) return false;
                     // 工事番号を退避する
                     DateCodeList.Add(WorkCode);
 
@@ -1258,12 +1258,12 @@
                     ConstructionLink LinkRec = new ConstructionLink();
                     LinkRec.ConstructionCode = m_ConstructionCode;
                     LinkRec.FluctuationCode = WorkCode;
-                    LinkRec.LinkType = (int)CommonDefine.LinkDataType.JoinType;
+                    LinkRec.LinkType = (int)ConstructionLink.DataTypeDef.JoinType;
                     if (!LinkDB.InsertAction(LinkRec, false)) return false;
 
                     // 下位に増減工事があるかを確認する
                     strFluction = LinkDB.CreatePrimarykeyString(WorkCode);
-                    strFluction += string.Format(" AND LINKTYPE = {0}", (int)CommonDefine.LinkDataType.FluctuationType);
+                    strFluction += string.Format(" AND LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.FluctuationType);
                     LinkList.Clear();
                     if (!LinkDB.SelectAction(strFluction, ref LinkList, false)) continue;
                     if (LinkList.Count == 0) continue;
@@ -1272,7 +1272,7 @@
                         // あれば結合フラグをONにする
                         if (!BaseDB.UpdateFeild(CurLinkRec.FluctuationCode
                                                 , (int)IOConstructionBaseInfo.TableColumn.JoinFlg
-                                                , (int)CommonDefine.BaseInfoJoinFlg.JoinChildren, false)) return false;
+                                                , (int)ConstructionBaseInfo.JoinFlgDef.JoinChildren, false)) return false;
                     }
                 }
                 if (SaveCode == int.MaxValue) return false;
@@ -1292,10 +1292,10 @@
                 if (!BaseDB.RecordCopyAction(SaveCode, m_ConstructionCode, false)) return false;
                 // 増減フラグOFF
                 if (!BaseDB.UpdateFeild(m_ConstructionCode, (int)IOConstructionBaseInfo.TableColumn.TyingFlg
-                                        , (int)CommonDefine.BaseInfoTyingFlg.Standard, false)) return false;
+                                        , (int)ConstructionBaseInfo.TyingFlgDef.Standard, false)) return false;
                 // 結合フラグON
                 if (!BaseDB.UpdateFeild(m_ConstructionCode, (int)IOConstructionBaseInfo.TableColumn.JoinFlg
-                                        , (int)CommonDefine.BaseInfoJoinFlg.JoinParent, false)) return false;
+                                        , (int)ConstructionBaseInfo.JoinFlgDef.JoinParent, false)) return false;
                 // 契約工期開始
                 if (!BaseDB.UpdateFeild(m_ConstructionCode, (int)IOConstructionBaseInfo.TableColumn.ConstructionPeriodStart
                                         , SDate, false)) return false;
@@ -1307,7 +1307,7 @@
                 if (!DetailDB.RecordCopyAction(SaveCode, m_ConstructionCode, false)) return false;
                 // 名前変更
                 if (!DetailDB.UpdateFeild(m_ConstructionCode, (int)IOConstructionBaseInfoDetail.TableColumn.DETAILSTRING
-                                            , m_ConstructionName, false, (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName)) return false;
+                                            , m_ConstructionName, false, (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName)) return false;
 
                 return true;
             }
@@ -1440,7 +1440,7 @@
                     // ----- 工事情報を結合へ変更する
                     if (!BaseDB.UpdateFeild(WorkCode
                                             , (int)IOConstructionBaseInfo.TableColumn.JoinFlg
-                                            , (int)CommonDefine.BaseInfoJoinFlg.JoinChildren, false)) return false;
+                                            , (int)ConstructionBaseInfo.JoinFlgDef.JoinChildren, false)) return false;
                     // 工事番号を退避する
                     DateCodeList.Add(WorkCode);
 
@@ -1448,7 +1448,7 @@
                     ConstructionLink LinkRec = new ConstructionLink();
                     LinkRec.ConstructionCode = m_ConstructionCode;
                     LinkRec.FluctuationCode = WorkCode;
-                    LinkRec.LinkType = (int)CommonDefine.LinkDataType.JoinType;
+                    LinkRec.LinkType = (int)ConstructionLink.DataTypeDef.JoinType;
                     if (!LinkDB.InsertAction(LinkRec, false)) return false;
                 }
                 if (DateCodeList.Count == 0) return false;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 267)
@@ -385,7 +385,7 @@
                 if (LedgerRec.IntegrationFlg == (int)CommonDefine.LedgerIntegration.Normal)
                 {
                     // 結合工事判定
-                    if (m_ConstructionBaseInfo.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                    if (m_ConstructionBaseInfo.JoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.Standard)
                     {
                         // 結合工事以外は工事情報より持ってくる
                         OrdersPrice = GetOrderPraiceTotal();
@@ -401,12 +401,12 @@
                     OrdersPrice = GetEstimateTotal();
                 }
                 // 入力完了後は確定した受注金額を持ってくる
-                if (LedgerRec.ComplateFlg == (int)CommonDefine.ComplateTitleNo.Complated) OrdersPrice = (int)LedgerRec.OrdersDecisionPrice;
+                if (LedgerRec.ComplateFlg == (int)ConstructionLedger.CompFlagDef.Complated) OrdersPrice = (int)LedgerRec.OrdersDecisionPrice;
                 
                 m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text = @"\" + OrdersPrice.ToString("#,0");                                      // 受注金額
 
                 // 工事基本情報明細取得
-                strSQL = cbidDB.CreatePrimarykeyString(m_ConstructionCode, (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                strSQL = cbidDB.CreatePrimarykeyString(m_ConstructionCode, (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
                 ConstructionBaseInfoDetail workRec = new ConstructionBaseInfoDetail();
                 if (!cbidDB.SelectAction(strSQL, ref workRec)) return false;
                 m_DspLabelCtrl[(int)DspLblCtrlName.ConstName].Text = workRec.DetailString;                                                      // 工事名称
@@ -414,9 +414,9 @@
 
                 strSQL = cbidDB.CreatePrimarykeyString(m_ConstructionCode);
                 strSQL += string.Format(" And (DetailNo = {0} Or DetailNo = {1} Or DetailNo = {2})",
-                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace1,                                    // 工事場所１
-                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace2,                                    // 工事場所２
-                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);                                   // 工事場所３
+                                            (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace1,                                    // 工事場所１
+                                            (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace2,                                    // 工事場所２
+                                            (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace3);                                   // 工事場所３
                 strSQL += " Order By DetailNo";
                 List<ConstructionBaseInfoDetail> workList = new List<ConstructionBaseInfoDetail>();
                 cbidDB.SelectAction(strSQL, ref workList);
@@ -429,7 +429,7 @@
                 m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.ConstPlace], Place);
 
                 ConstructionBaseInfoDetail OrderRec = new ConstructionBaseInfoDetail();
-                string strOrder = cbidDB.CreatePrimarykeyString(m_ConstructionCode, (int)ConstructionBaseInfoDetail.DetailDataNo.OrderersName);
+                string strOrder = cbidDB.CreatePrimarykeyString(m_ConstructionCode, (int)ConstructionBaseInfoDetail.DataNoDef.OrderersName);
                 cbidDB.SelectAction(strOrder, ref OrderRec);
                 m_DspLabelCtrl[(int)DspLblCtrlName.OrdersName].Text = OrderRec.DetailString;                                                    // 発注者名称
 
@@ -491,7 +491,7 @@
                 CreatePaymentColumns();
 
                 // 入力完了タイトルセット（初期は入力中をデフォルト表示）
-                lblComplate.Text = s_ComplateString[(int)CommonDefine.ComplateTitleNo.Operateing];
+                lblComplate.Text = s_ComplateString[(int)ConstructionLedger.CompFlagDef.Operateing];
                 ToolTip comptip = new ToolTip();
                 // ----- ToolTipの設定を行う
                 // ToolTipが表示されるまでの時間
@@ -537,7 +537,7 @@
             try
             {
                 // 担当中以外は処理しない
-                if (DetailRec.OperatingFlg == (int)CommonDefine.SalaryOperateKind.Complate) return;
+                if (DetailRec.OperatingFlg == (int)ConstructionLedgerDetail.SalOpeKindDef.Complate) return;
 
                 RadioButton[] rdbWork = new RadioButton[3];
                 TextBox txtWork = null;
@@ -600,7 +600,7 @@
                 strSQL += " FROM CONSTRUCTIONLINK A";
 
                 strSQL += " LEFT JOIN CONSTRUCTIONLINK D";
-                strSQL += string.Format(" ON (D.CONSTRUCTIONCODE = A.FLUCTUATIONCODE AND D.LINKTYPE = {0})", (int)CommonDefine.LinkDataType.FluctuationType);
+                strSQL += string.Format(" ON (D.CONSTRUCTIONCODE = A.FLUCTUATIONCODE AND D.LINKTYPE = {0})", (int)ConstructionLink.DataTypeDef.FluctuationType);
                 strSQL += " LEFT JOIN CONSTRUCTIONBASEINFO E ON (E.CONSTRUCTIONCODE = D.FLUCTUATIONCODE)";
                 strSQL += " LEFT JOIN PROCESSAPPROVAL F ON (F.CONSTRUCTIONCODE = E.CONSTRUCTIONCODE";
                 strSQL += string.Format(" AND F.APPROVALCODE = {0}", (int)ClsExcute.ApprovalListNo.ConstructionBudgetApproval);
@@ -610,7 +610,7 @@
                 strSQL += ", CONSTRUCTIONBASEINFO B, PROCESSAPPROVAL C";
 
                 strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}",m_ConstructionCode);
-                strSQL += string.Format(" AND A.LINKTYPE = {0}", (int)CommonDefine.LinkDataType.JoinType);
+                strSQL += string.Format(" AND A.LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.JoinType);
                 strSQL += " AND B.CONSTRUCTIONCODE = A.FLUCTUATIONCODE";
                 strSQL += " AND (C.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE";
                 strSQL += string.Format(" AND C.APPROVALCODE = {0}", (int)ClsExcute.ApprovalListNo.ConstructionBudgetApproval);
@@ -648,12 +648,12 @@
             try
             {
                 int OrdersPrice = 0;
-                if (m_ConstructionBaseInfo.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Standard)
+                if (m_ConstructionBaseInfo.TyingFlg == (int)ConstructionBaseInfo.TyingFlgDef.Standard)
                 {
                     // 工事増減の変更がない場合は工事情報の受注金額より持ってくる
                     OrdersPrice = (int)m_ConstructionBaseInfo.OrdersDecisionPrice;
                 }
-                else if (m_ConstructionBaseInfo.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Parent)
+                else if (m_ConstructionBaseInfo.TyingFlg == (int)ConstructionBaseInfo.TyingFlgDef.Parent)
                 {
                     int iCode1 = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key;
 
@@ -727,7 +727,7 @@
                 Color BeforeForeColor = lblComplate.ForeColor;
 
                 // 入力完了タイトルセット
-                lblComplate.Text = s_ComplateString[(int)CommonDefine.ComplateTitleNo.Complated];
+                lblComplate.Text = s_ComplateString[(int)ConstructionLedger.CompFlagDef.Complated];
                 lblComplate.BackColor = Color.Black;
                 lblComplate.ForeColor = Color.White;
 
@@ -1670,7 +1670,7 @@
                     RowData[(int)GridColumn.SourceCode] = m_ConstructionCode;
                     RowData[(int)GridColumn.IndependentFlg] = "1";
                     RowData[(int)GridColumn.FluctuationFlg] = "0";
-                    RowData[(int)GridColumn.PurchaseOrderFlg] = (int)CommonDefine.PurchaseOrderFlg.NoCreate;
+                    RowData[(int)GridColumn.PurchaseOrderFlg] = (int)ConstructionLedgerDetail.PurOrderFlgDef.NoCreate;
 
                     // 合計欄位置取得
                     int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
@@ -2011,7 +2011,7 @@
 
                 RowData[(int)GridColumn.SalaryFlg] = SalaryFlg;                                             // 給与振分区分
                 RowData[(int)GridColumn.SalaryDays] = SalaryDays;                                           // 給与振分日数
-                RowData[(int)GridColumn.OperatingFlg] = (int)CommonDefine.SalaryOperateKind.Oparateing;     // 担当中フラグ
+                RowData[(int)GridColumn.OperatingFlg] = (int)ConstructionLedgerDetail.SalOpeKindDef.Oparateing;     // 担当中フラグ
                 RowData[(int)GridColumn.CompanyType] = (int)CommonDefine.CodeDataType.Person;               // コードタイプ（担当者）
             }
             catch (Exception ex)
@@ -2919,7 +2919,7 @@
                     // *----------------------------------------------------------------*
                     // *----- いきなり工事詳細台帳が出来たものは、経費を再計算する -----*
                     // *----------------------------------------------------------------*
-                    if (LedgerRec.ComplateFlg != (int)CommonDefine.ComplateTitleNo.Complated
+                    if (LedgerRec.ComplateFlg != (int)ConstructionLedger.CompFlagDef.Complated
                         && NoneApp == true
                         && DetailRec.GroupCount == (int)DataGroup.Expenses)
                     {
@@ -3019,7 +3019,7 @@
                 CreateCurrentProfit();
 
                 // 詳細台帳入力完了フラグをチェックする
-                if (LedgerRec.ComplateFlg == (int)CommonDefine.ComplateTitleNo.Complated)
+                if (LedgerRec.ComplateFlg == (int)ConstructionLedger.CompFlagDef.Complated)
                 {
                     // 入力完了状態にする
                     SetComplateButtonStyle();
@@ -3056,7 +3056,7 @@
             try
             {
                 // 入力完了は処理しない
-                if (lblComplate.Text.Equals(s_ComplateString[(int)CommonDefine.ComplateTitleNo.Complated])) return true;
+                if (lblComplate.Text.Equals(s_ComplateString[(int)ConstructionLedger.CompFlagDef.Complated])) return true;
 
                 // 割合がセットされていなければ処理しない
                 if (DetailRec.AmountConfigRate == 0) return false;
@@ -3104,9 +3104,9 @@
             try
             {
                 // 現担当者以外は処理しない
-                if (DetailRec.OperatingFlg != (int)CommonDefine.SalaryOperateKind.Oparateing) return true;
+                if (DetailRec.OperatingFlg != (int)ConstructionLedgerDetail.SalOpeKindDef.Oparateing) return true;
                 // 入力完了は処理しない
-                if (lblComplate.Text.Equals(s_ComplateString[(int)CommonDefine.ComplateTitleNo.Complated])) return true;
+                if (lblComplate.Text.Equals(s_ComplateString[(int)ConstructionLedger.CompFlagDef.Complated])) return true;
                 // 担当者無ならば処理しない
                 if (DetailRec.CompanyCode == 0) return true;
 
@@ -4198,9 +4198,9 @@
                 }
 
                 // 入力完了フラグ
-                if (lblComplate.Text.Equals(s_ComplateString[(int)CommonDefine.ComplateTitleNo.Complated]))
+                if (lblComplate.Text.Equals(s_ComplateString[(int)ConstructionLedger.CompFlagDef.Complated]))
                 {
-                    work.ComplateFlg = (int)CommonDefine.ComplateTitleNo.Complated;
+                    work.ComplateFlg = (int)ConstructionLedger.CompFlagDef.Complated;
                 }
 
                 // 検索文字列作成
@@ -6086,7 +6086,7 @@
                 }
 
                 // データ増減番号取得
-                int FluctuationNo = (int)CommonDefine.FluctuatesFlg.Fluctuates;
+                int FluctuationNo = (int)ConstructionLedgerDetail.FlucFlgDef.Fluctuates;
                 // 次の行から追加
                 TargetLine++;
                 // データ追加
@@ -6112,7 +6112,7 @@
                     GridRow.Cells[(int)GridColumn.SourceCode].Value = m_AddingConstrCode;
                     GridRow.Cells[(int)GridColumn.IndependentFlg].Value = "1";
                     GridRow.Cells[(int)GridColumn.FluctuationFlg].Value = FluctuationNo;
-                    GridRow.Cells[(int)GridColumn.PurchaseOrderFlg].Value = (int)CommonDefine.PurchaseOrderFlg.NoCreate;
+                    GridRow.Cells[(int)GridColumn.PurchaseOrderFlg].Value = (int)ConstructionLedgerDetail.PurOrderFlgDef.NoCreate;
 
                     // 合計欄位置取得
                     int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
@@ -6414,7 +6414,7 @@
                 }
 
                 // データ行現番号取得
-                int FluctuationNo = (int)CommonDefine.FluctuatesFlg.Fluctuates;
+                int FluctuationNo = (int)ConstructionLedgerDetail.FlucFlgDef.Fluctuates;
 
                 if (bExist)
                 {
@@ -6808,7 +6808,7 @@
 
                 // 工事名称取得
                 string strName = "SELECT DETAILSTRING FROM CONSTRUCTIONBASEINFODETAIL";
-                strName += OuterBaseDDB.CreatePrimarykeyString(ConstrCode, (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                strName += OuterBaseDDB.CreatePrimarykeyString(ConstrCode, (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
                 ArrayList arList = new ArrayList();
                 OuterBaseDDB.ExecuteReader(strName, ref arList);
                 object[] NameObj = (object[])arList[0];
@@ -6824,7 +6824,7 @@
                 int TargetLine = GetGridInsertPosion();
 
                 // データ増減番号取得
-                int FluctuationNo = (int)CommonDefine.FluctuatesFlg.Normal;
+                int FluctuationNo = (int)ConstructionLedgerDetail.FlucFlgDef.Normal;
 
                 // 次の行から追加
                 TargetLine++;
@@ -6936,7 +6936,7 @@
                 int StartLine = m_CostsRowCount[(int)CostsRowLine.ConstructionCostLine];
 
                 // データ増減番号取得
-                int FluctuationNo = (int)CommonDefine.FluctuatesFlg.Normal;
+                int FluctuationNo = (int)ConstructionLedgerDetail.FlucFlgDef.Normal;
 
                 // 次の行から追加
                 TargetLine++;
@@ -6963,7 +6963,7 @@
                     GridRow.Cells[(int)GridColumn.SourceCode].Value = ConstrCode;
                     GridRow.Cells[(int)GridColumn.IndependentFlg].Value = "1";
                     GridRow.Cells[(int)GridColumn.FluctuationFlg].Value = FluctuationNo;
-                    GridRow.Cells[(int)GridColumn.PurchaseOrderFlg].Value = (int)CommonDefine.PurchaseOrderFlg.NoCreate;
+                    GridRow.Cells[(int)GridColumn.PurchaseOrderFlg].Value = (int)ConstructionLedgerDetail.PurOrderFlgDef.NoCreate;
 
                     // 合計欄位置取得
                     int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
@@ -7459,7 +7459,7 @@
                 }
 
                 // データ行現番号取得
-                int FluctuationNo = (int)CommonDefine.FluctuatesFlg.Fluctuates;
+                int FluctuationNo = (int)ConstructionLedgerDetail.FlucFlgDef.Fluctuates;
 
                 if (bExist)
                 {
@@ -7875,7 +7875,7 @@
                 strSQL += string.Format(" AND B.GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.Payroll);
                 strSQL += " AND B.COMPANYCODE <> 0";
                 strSQL += " AND C.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE";
-                strSQL += string.Format(" AND D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND D.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                strSQL += string.Format(" AND D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND D.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
                 strSQL += " ORDER BY 1,2";
 
                 ArrayList arList = new ArrayList();
@@ -7905,7 +7905,7 @@
                         LDetailDB.rollback();
                         return;
                     }
-                    int OpeFlg =(int)CommonDefine.SalaryOperateKind.Oparateing;
+                    int OpeFlg =(int)ConstructionLedgerDetail.SalOpeKindDef.Oparateing;
                     if (!LDetailDB.UpdateFeild(CONSTRUCTIONCODE, (int)IOConstructionLedgerDetail.TableColumn.OperatingFlg, (object)OpeFlg, GROUPCOUNT, LINECOUNT, false))
                     {
                         LedgerDB.rollback();
@@ -7921,7 +7921,7 @@
                 strSQL += string.Format(" AND B.GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.Instructor);
                 strSQL += " AND B.COMPANYCODE <> 0";
                 strSQL += " AND C.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE";
-                strSQL += string.Format(" AND D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND D.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                strSQL += string.Format(" AND D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND D.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
                 strSQL += " ORDER BY 1,2";
 
                 ArrayList arList2 = new ArrayList();
@@ -7956,7 +7956,7 @@
                         LDetailDB.rollback();
                         return;
                     }
-                    int OpeFlg = (int)CommonDefine.SalaryOperateKind.Oparateing;
+                    int OpeFlg = (int)ConstructionLedgerDetail.SalOpeKindDef.Oparateing;
                     if (!LDetailDB.UpdateFeild(CONSTRUCTIONCODE, (int)IOConstructionLedgerDetail.TableColumn.OperatingFlg, (object)OpeFlg, GROUPCOUNT, LINECOUNT, false))
                     {
                         LedgerDB.rollback();
@@ -7972,7 +7972,7 @@
                 strSQL += string.Format(" AND B.GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.Assistant);
                 strSQL += " AND B.COMPANYCODE <> 0";
                 strSQL += " AND C.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE";
-                strSQL += string.Format(" AND D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND D.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                strSQL += string.Format(" AND D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND D.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
                 strSQL += " ORDER BY 1,2";
 
                 ArrayList arList3 = new ArrayList();
@@ -8007,7 +8007,7 @@
                         LDetailDB.rollback();
                         return;
                     }
-                    int OpeFlg = (int)CommonDefine.SalaryOperateKind.Oparateing;
+                    int OpeFlg = (int)ConstructionLedgerDetail.SalOpeKindDef.Oparateing;
                     if (!LDetailDB.UpdateFeild(CONSTRUCTIONCODE, (int)IOConstructionLedgerDetail.TableColumn.OperatingFlg, (object)OpeFlg, GROUPCOUNT, LINECOUNT, false))
                     {
                         LedgerDB.rollback();
@@ -8480,7 +8480,7 @@
                 int month = 0;
                 int day = 0;
                 bool bPeriod = false;
-                if (CommonMotions.SystemMasterData.ConstructionNoBase == (int)CommonDefine.SystemConstructionNoBase.BusinessPeriod)
+                if (CommonMotions.SystemMasterData.ConstructionNoBase == (int)SystemMaster.ConstrNoBaseDef.BusinessPeriod)
                 {   // 営業期
                     iYear = CommonMotions.PeriodCountToYear(C16);
                     bPeriod = true;
